> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Avatar Properties

> Returns the detail of the Avatar.



## OpenAPI

````yaml get /project/assets/avatar/{id}/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/assets/avatar/{id}/:
    get:
      tags:
        - project
      description: Returns the detail of the Avatar.
      operationId: Get Avatar
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this avatar.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAvatar'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    nullable: false
                    description: Text of the error message.
                  detail:
                    type: object
                    nullable: true
                    description: Detail of the error message.
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    nullable: false
                    description: Text of the error message.
                  detail:
                    type: object
                    nullable: true
                    description: Detail of the error message.
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    ApiAvatar:
      type: object
      description: Allows to specify fields to be included
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: Unique Identifier of the Avatar.
        name:
          type: string
          readOnly: true
          description: Name of the Avatar.
        gender:
          allOf:
            - $ref: '#/components/schemas/GenderB68Enum'
          readOnly: true
          description: |-
            Gender of the Avatar.

            * `1` - Male
            * `2` - Female
            * `3` - Non Binary
        cropped_asset:
          type: string
          format: uri
          readOnly: true
          description: URL for the cropped asset.
        full_asset:
          type: string
          format: uri
          readOnly: true
          description: URL for the full asset.
        is_pending:
          type: boolean
          readOnly: true
          description: True if the Avatar has been generated else False.
        is_custom:
          type: boolean
          readOnly: true
          description: True if the Avatar is custom generated else False.
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: DateTime when the Avatar was created.
        is_colorcode_bg_supported:
          type: boolean
          readOnly: true
          description: True if the Avatar supports a color code background else False.
        languages:
          type: array
          items:
            $ref: '#/components/schemas/AvatarSupportedLanguage'
          readOnly: true
          description: List of languages supported by the Avatar.
      required:
        - created_at
        - cropped_asset
        - full_asset
        - gender
        - id
        - is_colorcode_bg_supported
        - is_custom
        - is_pending
        - languages
        - name
    GenderB68Enum:
      enum:
        - 1
        - 2
        - 3
      type: integer
      description: |-
        * `1` - Male
        * `2` - Female
        * `3` - Non Binary
    AvatarSupportedLanguage:
      type: object
      properties:
        id:
          type: integer
          description: Unique Identifier of the Language.
        name:
          type: string
          description: Name of the language.
        is_default:
          type: boolean
          description: True if it is the default language of the Avatar.
      required:
        - id
        - is_default
        - name
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````